//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HOD.Data.Entities
{
    using System;
    using System.Collections.Generic;
    
    public partial class Listing
    {
        public Listing()
        {
            this.ListingImages = new HashSet<ListingImage>();
        }
    
        public int ListingId { get; set; }
        public string PropertyType { get; set; } 
        public int ListingPerson { get; set; }
        public string ContactPerson { get; set; }
        public string clientUrl { get; set; }
        public string PhoneNo { get; set; }
        public Nullable<bool> DontShowPhoneNo { get; set; }
        public Nullable<decimal> ListPrice { get; set; }
        public Nullable<bool> DontShowListPrice { get; set; }
        public Nullable<decimal> SquareFootage { get; set; }
        public Nullable<bool> DontShowSquareFootage { get; set; }
        public Nullable<decimal> NoOfBathrooms { get; set; }
        public Nullable<decimal> NoOfBedrooms { get; set; }
        public string MainSellingDesc { get; set; }
        public string LocationDesc { get; set; }
        public string KitchenDesc { get; set; }
        public string Address { get; set; }
        public string City { get; set; }
        public string Province { get; set; }
        public string PostalCode { get; set; }
        public Nullable<bool> IsPrivateSeller { get; set; }
        public string BedroomDesc { get; set; }
        public string BasementDesc { get; set; }
        public string FamilyRoomDesc { get; set; }
        public string DiningRoomDesc { get; set; }
        public string OtherSection1Desc { get; set; }
        public Nullable<int> AgeOfHome { get; set; }
        public Nullable<int> NoOfFloors { get; set; }
        public Nullable<bool> hasBasement { get; set; }
        public Nullable<bool> hasFinishedBasement { get; set; }
        public Nullable<bool> hasGarage { get; set; }
        public Nullable<bool> hasAC { get; set; }
        public string heatType { get; set; }
        public Nullable<decimal> AnnualTaxes { get; set; }
        public int UserId { get; set; }
        public string BathroomDesc { get; set; }
        public string VideoDesc { get; set; }
        public string OtherSection2Desc { get; set; }
        public string OtherSection3Desc { get; set; }
        public string OtherSection4Desc { get; set; }
        public string ListingCategory { get; set; }
        public string Neighbourhood { get; set; }
    
        public virtual ICollection<ListingImage> ListingImages { get; set; }
        public virtual UserProfile UserProfile { get; set; }

        public string PropertyDetails { get; set; }

        public string PropertyStatus { get; set; }
    }
}
